## ktimer 20.08.1

=== debian/changelog ===
ktimer (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:58:53 +0100

ktimer (4:20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Aug 2020 19:50:46 +0100

ktimer (4:20.04.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update watch file to the new release-service location.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.5
    - bump Qt packages to 5.9.0
    - bump KF packages to 5.46.0
    - explicitly add gettext
    - remove the unused libkf5iconthemes-dev, and libkf5xmlgui-dev
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
    - manually force the generation of the substvars for the kde-l10n breaks
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Add the configuration for the CI on salsa.
  * Add Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.0, no changes required.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Thu, 30 Jul 2020 22:54:50 +0200

=== debian/control ===
Source: ktimer
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 5.46.0~),
               gettext,
               libkf5dbusaddons-dev (>= 5.46.0~),
               libkf5doctools-dev (>= 5.46.0~),
               libkf5i18n-dev (>= 5.46.0~),
               libkf5kio-dev (>= 5.46.0~),
               libkf5notifications-dev (>= 5.46.0~),
               libkf5widgetsaddons-dev (>= 5.46.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.9.0~),
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: http://www.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ktimer
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ktimer.git

Package: ktimer
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: countdown timer
 KTimer is a countdown timer for running commands after a delay.
 The countdown can be paused or set to loop continuously.
 .
 This package is part of the KDE SC utilities module.

## ktimer 20.12.0

=== CMakeLists.txt ===
# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "20")
set (RELEASE_SERVICE_VERSION_MINOR "12")
set (RELEASE_SERVICE_VERSION_MICRO "0")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
cmake_minimum_required (VERSION 3.5 FATAL_ERROR)
project(ktimer VERSION ${RELEASE_SERVICE_VERSION})

set (QT_MIN_VERSION "5.12.0")
set(KF5_MIN_VERSION "5.57.0")

find_package (ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set (CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(ECMInstallIcons)
include(ECMAddAppIcon)

find_package (Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Core
    Widgets
)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    DocTools
    I18n
    WidgetsAddons
    KIO
    DBusAddons
    Notifications
)

add_definitions(-DQT_NO_FOREACH)

configure_file(config-ktimer.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-ktimer.h)

set(ktimer_SRCS main.cpp ktimer.cpp )

ki18n_wrap_ui(ktimer_SRCS prefwidget.ui )

file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/*-apps-ktimer.png")
ecm_add_app_icon(ktimer_SRCS ICONS ${ICONS_SRCS})

add_executable(ktimer ${ktimer_SRCS})

target_link_libraries(ktimer  KF5::I18n KF5::KIOWidgets KF5::ConfigWidgets KF5::Notifications KF5::DBusAddons)

install(TARGETS ktimer  ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )


########### install files ###############

install( PROGRAMS org.kde.ktimer.desktop  DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.ktimer.appdata.xml DESTINATION ${CMAKE_INSTALL_METAINFODIR})

ecm_install_icons( ICONS 128-apps-ktimer.png  16-apps-ktimer.png  32-apps-ktimer.png  48-apps-ktimer.png DESTINATION ${KDE_INSTALL_ICONDIR} THEME hicolor  )

add_subdirectory(doc)
feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()

=== debian/changelog ===
ktimer (4:20.12.0-1) unstable; urgency=medium

  * New upstream release (20.12.0).
  * Update build dependencies according to the upstream build system:
    - Qt >= 5.12
    - KF5 >= 5.57
  * Refresh copyright information.
  * Bump Standards-Version to 4.5.1, no change required.
  * Bump debhelper compatibility level to 13.
  * Refresh upstream metadata.
  * Update project homepage.
  * Removed Eshat Cakar, George Kiagiadakis, Maximiliano Curia, Modestas
    Vainius from the uploaders, thanks for your work on the package!
  * Added myself to the uploaders.
  * Build with hardening=+all build hardening flag.
  * Borrow minimal upstream signing key from k3b.
  * Drop kde-l10n migration rules, not needed anymore after 2 stable releases.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 26 Dec 2020 00:30:03 +0100

=== debian/control ===
Source: ktimer
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.57.0~),
               gettext,
               libkf5dbusaddons-dev (>= 5.57.0~),
               libkf5doctools-dev (>= 5.57.0~),
               libkf5i18n-dev (>= 5.57.0~),
               libkf5kio-dev (>= 5.57.0~),
               libkf5notifications-dev (>= 5.57.0~),
               libkf5widgetsaddons-dev (>= 5.57.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.12.0~),
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://apps.kde.org/en/ktimer
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ktimer
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ktimer.git

Package: ktimer
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: countdown timer
 KTimer is a countdown timer for running commands after a delay.
 The countdown can be paused or set to loop continuously.
 .
 This package is part of the KDE SC utilities module.

## ktimer 20.12.3

=== debian/changelog ===
ktimer (4:20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:26:10 +0000

ktimer (4:20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 09:59:24 +0000

ktimer (4:20.12.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Jan 2021 23:13:22 +0000

## ktimer 21.08.0

=== debian/changelog ===
ktimer (4:21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 16:27:54 +0900

ktimer (4:21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Borrow minimal upstream signing key from k3b.
  * Drop Kubuntu from maintainer name.
  * Added myself to the uploaders.

 -- Norbert Preining <norbert@preining.info>  Wed, 28 Apr 2021 10:48:48 +0900

=== debian/control ===
Source: ktimer
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.83.0~),
               gettext,
               libkf5dbusaddons-dev (>= 5.83.0~),
               libkf5doctools-dev (>= 5.83.0~),
               libkf5i18n-dev (>= 5.83.0~),
               libkf5kio-dev (>= 5.83.0~),
               libkf5notifications-dev (>= 5.83.0~),
               libkf5widgetsaddons-dev (>= 5.83.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.15.0~),
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://apps.kde.org/en/ktimer
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ktimer
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ktimer.git

Package: ktimer
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: countdown timer
 KTimer is a countdown timer for running commands after a delay.
 The countdown can be paused or set to loop continuously.
 .
 This package is part of the KDE SC utilities module.

## ktimer 21.08.1

=== debian/changelog ===
ktimer (4:21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:38:15 +0100

ktimer (4:21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 09:07:37 +0100

ktimer (4:21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 13:01:42 +0100

ktimer (4:21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Jul 2021 20:37:23 +0100

ktimer (4:21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:48:48 +0100

ktimer (4:21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:45:57 +0100

ktimer (4:21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:12:24 +0100

ktimer (4:21.04.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:42:39 +0100

## ktimer 21.12.3

=== CMakeLists.txt ===
# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "21")
set (RELEASE_SERVICE_VERSION_MINOR "12")
set (RELEASE_SERVICE_VERSION_MICRO "3")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
cmake_minimum_required (VERSION 3.16 FATAL_ERROR)
project(ktimer VERSION ${RELEASE_SERVICE_VERSION})

set (QT_MIN_VERSION "5.15.0")
set(KF5_MIN_VERSION "5.85.0")

find_package (ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set (CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(ECMInstallIcons)
include(ECMAddAppIcon)

find_package (Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Core
    Widgets
)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    DocTools
    I18n
    WidgetsAddons
    KIO
    DBusAddons
    Notifications
)

add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f00)
add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055600)

add_executable(ktimer)

configure_file(config-ktimer.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-ktimer.h)


target_sources(ktimer PRIVATE main.cpp ktimer.cpp ktimer.h)

ki18n_wrap_ui(ktimer prefwidget.ui )

file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/*-apps-ktimer.png")
ecm_add_app_icon(ktimer ICONS ${ICONS_SRCS})


target_link_libraries(ktimer  KF5::I18n KF5::KIOWidgets KF5::ConfigWidgets KF5::Notifications KF5::DBusAddons)

install(TARGETS ktimer  ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )


########### install files ###############

install( PROGRAMS org.kde.ktimer.desktop  DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.ktimer.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

ecm_install_icons( ICONS 128-apps-ktimer.png  16-apps-ktimer.png  32-apps-ktimer.png  48-apps-ktimer.png DESTINATION ${KDE_INSTALL_ICONDIR} THEME hicolor  )

add_subdirectory(doc)
ki18n_install(po)
kdoctools_install(po)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
ktimer (4:21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:15:57 +0000

ktimer (4:21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:22:32 +0000

ktimer (4:21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:30:21 +0000

ktimer (4:21.12.0-0ubuntu1) jammy; urgency=medium

  [ Rik Mills ]
  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:27:30 +0000

ktimer (4:21.11.90-0ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 19:11:51 +0000

ktimer (4:21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:22:41 +0000

ktimer (4:21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 18:29:58 +0000

ktimer (4:21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:45:05 +0000

=== debian/control ===
Source: ktimer
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.57.0~),
               gettext,
               libkf5dbusaddons-dev (>= 5.57.0~),
               libkf5doctools-dev (>= 5.57.0~),
               libkf5i18n-dev (>= 5.57.0~),
               libkf5kio-dev (>= 5.57.0~),
               libkf5notifications-dev (>= 5.57.0~),
               libkf5widgetsaddons-dev (>= 5.57.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.12.0~),
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://apps.kde.org/en/ktimer
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktimer
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktimer

Package: ktimer
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: countdown timer
 KTimer is a countdown timer for running commands after a delay.
 The countdown can be paused or set to loop continuously.
 .
 This package is part of the KDE SC utilities module.

## ktimer 22.08.1

=== debian/changelog ===
ktimer (4:22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:45:13 +0100

ktimer (4:22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:54:36 +0100

ktimer (4:22.04.3-1ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.

 -- Rik Mills <rikmills@kde.org>  Fri, 05 Aug 2022 16:20:29 +0100

ktimer (4:22.04.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - stops using KDEFrameworkCompilerSettings (Closes: #1011918)
  * Bump Standards-Version to 4.6.1, no changes required.
  * Remove inactive Uploaders.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop all the manually specified addons and buildsystem for dh
  * CI: enable blhc, as it should work fine now.
  * Update the build dependencies according to the upstream build system:
    - bump KF packages to 5.89.0
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Wed, 27 Jul 2022 07:24:54 +0200

ktimer (4:22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:32:23 +0100

ktimer (4:22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 08:06:56 +0100

ktimer (4:22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 21:06:00 +0100

ktimer (4:22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:53:20 +0100

ktimer (4:21.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (21.12.3).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 07 Mar 2022 23:27:41 +0100

=== debian/control ===
Source: ktimer
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.89.0~),
               gettext,
               libkf5dbusaddons-dev (>= 5.89.0~),
               libkf5doctools-dev (>= 5.89.0~),
               libkf5i18n-dev (>= 5.89.0~),
               libkf5kio-dev (>= 5.89.0~),
               libkf5notifications-dev (>= 5.89.0~),
               libkf5widgetsaddons-dev (>= 5.89.0~),
               qtbase5-dev (>= 5.15.0~),
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://apps.kde.org/en/ktimer
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktimer
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktimer

Package: ktimer
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: countdown timer
 KTimer is a countdown timer for running commands after a delay.
 The countdown can be paused or set to loop continuously.
 .
 This package is part of the KDE SC utilities module.

## ktimer 22.12.0

=== debian/changelog ===
ktimer (4:22.12.0-2) unstable; urgency=medium

  * Upload with a correctly released changelog.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 16:04:54 +0100

ktimer (4:22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.3).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (22.11.90).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (22.12.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 00:13:04 +0100

=== debian/control ===
Source: ktimer
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.90.0~),
               gettext,
               libkf5dbusaddons-dev (>= 5.90.0~),
               libkf5doctools-dev (>= 5.90.0~),
               libkf5i18n-dev (>= 5.90.0~),
               libkf5kio-dev (>= 5.90.0~),
               libkf5notifications-dev (>= 5.90.0~),
               libkf5widgetsaddons-dev (>= 5.90.0~),
               qtbase5-dev (>= 5.15.2~),
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://apps.kde.org/en/ktimer
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ktimer
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ktimer.git

Package: ktimer
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: countdown timer
 KTimer is a countdown timer for running commands after a delay.
 The countdown can be paused or set to loop continuously.
 .
 This package is part of the KDE SC utilities module.

## ktimer 22.12.1

=== debian/changelog ===
ktimer (4:22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add Albert Astals Cid’s master key to upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Jan 2023 23:39:31 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                libkf5notifications-dev (>= 5.90.0~),
                libkf5widgetsaddons-dev (>= 5.90.0~),
                qtbase5-dev (>= 5.15.2~),
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://apps.kde.org/en/ktimer
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ktimer

## ktimer 22.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,30 +1,37 @@
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "21")
+set (RELEASE_SERVICE_VERSION_MAJOR "22")
 set (RELEASE_SERVICE_VERSION_MINOR "12")
 set (RELEASE_SERVICE_VERSION_MICRO "3")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 cmake_minimum_required (VERSION 3.16 FATAL_ERROR)
 project(ktimer VERSION ${RELEASE_SERVICE_VERSION})
 
-set (QT_MIN_VERSION "5.15.0")
-set(KF5_MIN_VERSION "5.85.0")
+set (QT_MIN_VERSION "5.15.2")
+set(KF5_MIN_VERSION "5.90.0")
 
 find_package (ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 set (CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
 include(KDEInstallDirs)
-include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 include(KDECMakeSettings)
+include(KDECompilerSettings NO_POLICY_SCOPE)
+
 include(ECMInstallIcons)
 include(ECMAddAppIcon)
+include(KDEGitCommitHooks)
+include(KDEClangFormat)
+file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
+kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
 
-find_package (Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
+find_package (Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
     Core
     Widgets
 )
+if (QT_MAJOR_VERSION STREQUAL "6")
+    find_package(Qt6Core5Compat)
+endif()
 
 find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
-    DocTools
     I18n
     WidgetsAddons
     KIO
@@ -32,8 +39,18 @@
     Notifications
 )
 
-add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f00)
-add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055600)
+find_package(KF5DocTools ${KF5_MIN_VERSION})
+set_package_properties(KF5DocTools PROPERTIES DESCRIPTION
+    "Tools to generate documentation"
+    TYPE OPTIONAL
+)
+
+add_definitions(
+    -DQT_DISABLE_DEPRECATED_BEFORE=0x050f00
+    -DQT_DEPRECATED_WARNINGS_SINCE=0x060000
+    -DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055800
+    -DKF_DEPRECATED_WARNINGS_SINCE=0x060000
+)
 
 add_executable(ktimer)
 
@@ -59,9 +76,10 @@
 install(FILES org.kde.ktimer.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
 
 ecm_install_icons( ICONS 128-apps-ktimer.png  16-apps-ktimer.png  32-apps-ktimer.png  48-apps-ktimer.png DESTINATION ${KDE_INSTALL_ICONDIR} THEME hicolor  )
-
-add_subdirectory(doc)
+if(KF5DocTools_FOUND)
+    kdoctools_install(po)
+    add_subdirectory(doc)
+endif()
 ki18n_install(po)
-kdoctools_install(po)
-
+kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
ktimer (4:22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:58:00 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: kde
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Aurélien COUDERC <coucouf@debian.org>
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf5,
@@ -24,7 +24,7 @@
 Package: ktimer
 Section: utils
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: countdown timer
  KTimer is a countdown timer for running commands after a delay.
  The countdown can be paused or set to loop continuously.

## ktimer 23.04.0

=== debian/changelog ===
ktimer (4:23.04.0-0xneon+22.04+jammy+release+build14) jammy; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2023 19:12:53 +0000

ktimer (4:23.04.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2023 16:22:40 +0000

ktimer (4:22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 13:40:48 +0000

ktimer (4:22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 18:16:37 +0000

ktimer (4:22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 16:52:23 +0000

ktimer (4:22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 12:59:25 +0000

ktimer (4:22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 10:21:05 +0000

ktimer (4:22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Sep 2022 10:15:39 +0000

ktimer (4:22.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Aug 2022 10:18:53 +0000

ktimer (4:22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 13:06:51 +0000

ktimer (4:22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 21:30:38 +0000

ktimer (4:22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 14:28:49 +0000

ktimer (4:22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 13:37:43 +0000

ktimer (4:21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 12:06:34 +0000

ktimer (4:21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Jan 2022 11:04:17 +0000

ktimer (4:21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 06 Dec 2021 23:10:24 +0000

ktimer (4:21.08.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Oct 2021 11:41:10 +0000

ktimer (4:21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:29:51 +0000

ktimer (4:21.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Aug 2021 12:22:24 +0000

ktimer (4:21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 12:08:07 +0000

ktimer (4:21.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 08:28:08 +0000

ktimer (4:21.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 May 2021 08:58:46 +0000

ktimer (4:21.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Apr 2021 10:26:30 +0000

ktimer (4:20.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Mar 2021 13:04:14 +0000

ktimer (4:20.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Feb 2021 11:15:09 +0000

ktimer (4:20.12.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jan 2021 12:20:26 +0000

ktimer (4:20.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 10 Dec 2020 13:37:48 +0000

ktimer (4:20.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Nov 2020 07:11:38 +0000

ktimer (4:20.08.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Oct 2020 10:31:18 +0000

ktimer (4:20.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 02 Sep 2020 11:30:37 +0000

ktimer (4:20.08.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Aug 2020 09:21:30 +0000

ktimer (4:20.04.3-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jul 2020 09:41:28 +0000

ktimer (4:20.04.2-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 17 May 2020 22:28:11 +0000

ktimer (4:20.04.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Apr 2020 17:50:50 +0000

ktimer (4:19.12.3-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 04 Mar 2020 11:04:55 +0000

ktimer (4:19.12.2-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 05 Feb 2020 13:46:38 +0000

ktimer (4:19.12.1-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Jan 2020 17:16:18 +0000

ktimer (4:19.12.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Dec 2019 18:55:03 +0000

ktimer (4:19.08.3-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Nov 2019 10:15:49 +0000

ktimer (4:19.08.2-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 09 Oct 2019 18:14:08 +0000

ktimer (4:19.08.1-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Sep 2019 14:27:41 +0000

ktimer (4:19.08.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 13 Aug 2019 13:24:39 +0000

ktimer (4:19.04.3-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 10 Jul 2019 11:37:28 +0000

ktimer (4:19.04.2-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 06 Jun 2019 10:05:13 +0000

ktimer (4:19.04.1-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 May 2019 06:49:27 +0000

ktimer (4:19.04.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Apr 2019 14:14:52 +0000

ktimer (4:18.12.3-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Mar 2019 15:06:28 +0000

=== debian/control ===
Source: ktimer
Section: kde
Priority: optional
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.10.0~),
               libkf5dbusaddons-dev,
               libkf5doctools-dev,
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5kio-dev,
               libkf5notifications-dev,
               libkf5widgetsaddons-dev,
               libkf5xmlgui-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.5.0~)
Standards-Version: 4.1.4
Homepage: http://www.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/ktimer.git
Vcs-Browser: https://invent.kde.org/neon/kde/ktimer
Maintainer: Neon CI <neon@kde.org>

Package: ktimer
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: countdown timer
 KTimer is a countdown timer for running commands after a delay.
 The countdown can be paused or set to loop continuously.
 .
 This package is part of the KDE SC utilities module.

## ktimer 23.04.2

=== CMakeLists.txt ===
# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "23")
set (RELEASE_SERVICE_VERSION_MINOR "04")
set (RELEASE_SERVICE_VERSION_MICRO "2")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
cmake_minimum_required (VERSION 3.16 FATAL_ERROR)
project(ktimer VERSION ${RELEASE_SERVICE_VERSION})

set (QT_MIN_VERSION "5.15.2")
set(KF_MIN_VERSION "5.92.0")

find_package (ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set (CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMInstallIcons)
include(ECMAddAppIcon)
include(KDEGitCommitHooks)
include(KDEClangFormat)
include(ECMDeprecationSettings)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
if (QT_MAJOR_VERSION STREQUAL "6")
    set(QT_MIN_VERSION "6.4.0")
    set(KF_MIN_VERSION "5.240.0")
    set(KF_MAJOR_VERSION "6")
else()
    set(KF_MAJOR_VERSION "5")
endif()

find_package (Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Core
    Widgets
)
if (QT_MAJOR_VERSION STREQUAL "6")
    find_package(Qt6Core5Compat)
endif()

find_package(KF${KF_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS
    I18n
    WidgetsAddons
    KIO
    DBusAddons
    Notifications
)

find_package(KF${KF_MAJOR_VERSION}DocTools ${KF_MIN_VERSION})
set_package_properties(KF5DocTools PROPERTIES DESCRIPTION
    "Tools to generate documentation"
    TYPE OPTIONAL
)

ecm_set_disabled_deprecation_versions(QT 6.4.0
    KF 5.101
)

add_executable(ktimer)

configure_file(config-ktimer.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-ktimer.h)


target_sources(ktimer PRIVATE main.cpp ktimer.cpp ktimer.h)

ki18n_wrap_ui(ktimer prefwidget.ui )

file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/*-apps-ktimer.png")
ecm_add_app_icon(ktimer ICONS ${ICONS_SRCS})


target_link_libraries(ktimer  KF${KF_MAJOR_VERSION}::I18n KF${KF_MAJOR_VERSION}::KIOWidgets KF${KF_MAJOR_VERSION}::ConfigWidgets
    KF${KF_MAJOR_VERSION}::Notifications KF${KF_MAJOR_VERSION}::DBusAddons)

install(TARGETS ktimer  ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )


########### install files ###############

install( PROGRAMS org.kde.ktimer.desktop  DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.ktimer.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

ecm_install_icons( ICONS 128-apps-ktimer.png  16-apps-ktimer.png  32-apps-ktimer.png  48-apps-ktimer.png DESTINATION ${KDE_INSTALL_ICONDIR} THEME hicolor  )
if(KF${KF_MAJOR_VERSION}DocTools_FOUND)
    kdoctools_install(po)
    add_subdirectory(doc)
endif()
ki18n_install(po)
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

## ktimer 23.08.0

=== debian/changelog ===
ktimer (4:23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:59:31 +0100

ktimer (4:23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:38:58 +0100

ktimer (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:53:40 +0100

ktimer (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 12:00:26 +0100

ktimer (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:43:07 +0000

ktimer (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:24:51 -0600

ktimer (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:18:55 +0000

ktimer (4:22.12.0-2ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.

 -- Rik Mills <rikmills@kde.org>  Fri, 30 Dec 2022 13:32:35 +0000

ktimer (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:14:36 +0000

ktimer (4:22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:10:50 +0000

ktimer (4:22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Nov 2022 10:53:53 +0000

ktimer (4:22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:13:48 +0000

## ktimer 23.08.1

=== debian/changelog ===
ktimer (4:23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 12:04:29 +0100

## ktimer 23.08.4

=== debian/changelog ===
ktimer (4:23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:20:42 +0000

ktimer (4:23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:40:57 +0000

ktimer (4:23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:36:43 +0100

## ktimer 23.08.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "23")
-set (RELEASE_SERVICE_VERSION_MINOR "04")
-set (RELEASE_SERVICE_VERSION_MICRO "2")
+set (RELEASE_SERVICE_VERSION_MINOR "08")
+set (RELEASE_SERVICE_VERSION_MICRO "5")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 cmake_minimum_required (VERSION 3.16 FATAL_ERROR)
 project(ktimer VERSION ${RELEASE_SERVICE_VERSION})
@@ -45,6 +45,7 @@
     KIO
     DBusAddons
     Notifications
+    ConfigWidgets
 )
 
 find_package(KF${KF_MAJOR_VERSION}DocTools ${KF_MIN_VERSION})

=== debian/changelog ===
ktimer (4:23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:39:10 +1100

ktimer (4:23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:25:00 +0000

ktimer (4:23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 10:18:31 -0700

=== debian/control ===
Source: ktimer
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.90.0~),
               gettext,
               libkf5dbusaddons-dev (>= 5.90.0~),
               libkf5doctools-dev (>= 5.90.0~),
               libkf5i18n-dev (>= 5.90.0~),
               libkf5kio-dev (>= 5.90.0~),
               libkf5notifications-dev (>= 5.90.0~),
               libkf5widgetsaddons-dev (>= 5.90.0~),
               qtbase5-dev (>= 5.15.2~),
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://apps.kde.org/en/ktimer
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktimer
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktimer

Package: ktimer
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: countdown timer
 KTimer is a countdown timer for running commands after a delay.
 The countdown can be paused or set to loop continuously.
 .
 This package is part of the KDE SC utilities module.

## ktimer 24.08.2

=== debian/changelog ===
ktimer (4:24.08.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 02 Nov 2024 17:59:58 -0500

ktimer (4:24.08.2-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Update build dependencies and rules for KF6.
  * Update Standards-Version to 4.7.0, no changes needed.

 -- Simon Quigley <tsimonq2@debian.org>  Sat, 02 Nov 2024 13:46:05 -0500

=== debian/control ===
Source: ktimer
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.0.0~),
               gettext,
               libkf6dbusaddons-dev (>= 6.0.0~),
               libkf6doctools-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6kio-dev (>= 6.0.0~),
               libkf6notifications-dev (>= 6.0.0~),
               libkf6statusnotifieritem-dev (>= 6.0.0~),
               libkf6widgetsaddons-dev (>= 6.0.0~),
               qt6-base-dev (>= 6.5.0~),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://apps.kde.org/en/ktimer
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktimer
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktimer

Package: ktimer
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: countdown timer
 KTimer is a countdown timer for running commands after a delay.
 The countdown can be paused or set to loop continuously.
 .
 This package is part of the KDE SC utilities module.

## ktimer 24.12.0

=== debian/changelog ===
ktimer (4:24.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 24 Dec 2024 00:34:54 +0100

=== debian/control ===
Source: ktimer
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.0.0~),
               gettext,
               libkf6configwidgets-dev (>= 6.0.0~),
               libkf6crash-dev (>= 6.0.0~),
               libkf6dbusaddons-dev (>= 6.0.0~),
               libkf6doctools-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6kio-dev (>= 6.0.0~),
               libkf6notifications-dev (>= 6.0.0~),
               libkf6statusnotifieritem-dev (>= 6.0.0~),
               libkf6widgetsaddons-dev (>= 6.0.0~),
               qt6-base-dev (>= 6.5.0~),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://apps.kde.org/en/ktimer
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ktimer
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ktimer.git

Package: ktimer
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: countdown timer
 KTimer is a countdown timer for running commands after a delay.
 The countdown can be paused or set to loop continuously.
 .
 This package is part of the KDE SC utilities module.

## ktimer 24.12.1

=== debian/changelog ===
ktimer (4:24.12.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 14:38:20 +0000

ktimer (4:24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:20:06 +0000

ktimer (4:24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 14:13:54 +0000

ktimer (4:24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)
  * New build depend on libkf6crash-dev

 -- Rik Mills <rikmills@kde.org>  Fri, 22 Nov 2024 14:50:29 +0000

ktimer (4:24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 11:45:55 +0000
